### Constructor

# EvinceView JobLoadFd new_take

#### Declaration [src]

    EvJob*
    ev_job_load_fd_new_take (
      int fd,
      const char* mime_type,
      EvDocumentLoadFlags flags
    )

#### Description

No description available.

#### Parameters

`fd` | `int`
| No description available.
`mime_type` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `EvDocumentLoadFlags`
| No description available.

#### Return value

Returns: | `EvJob`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.